Page MenuHomePhabricator

Block creation of new courses on the education extension
Closed, ResolvedPublic

Description

As mentioned in related tasks, in the interim period between removal of the extension from the wikis and transitioning to the Programs and Events Dashboard for cohort tracking, we could stop the creation of new courses on wikis. This will aid in the transition, while still allowing users to access previous courses and finish ongoing courses.

This would happen after communication with each wiki (see T187577) and the agreed upon timeline.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove most EP related userrights

Event Timeline

TFlanagan-WMF triaged this task as Low priority.Feb 27 2018, 5:22 PM
TFlanagan-WMF created this task.
Reedy closed this task as Declined.Jul 26 2018, 12:36 AM
Reedy updated the task description. (Show Details)

If we were going to do this, we should've done it ages ago. We're past the deadline to remove it... Declining

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJul 26 2018, 12:37 AM
Reedy reopened this task as Open.Jul 26 2018, 1:14 AM

Actually. We might need to do this while the extension stays around for archiving data and stuff...

Change 447953 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Remove most EP related userrights

https://gerrit.wikimedia.org/r/447953

Change 447953 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove most EP related userrights

https://gerrit.wikimedia.org/r/447953

Mentioned in SAL (#wikimedia-operations) [2018-07-29T02:34:58Z] <reedy@deploy1001> Synchronized wmf-config/CommonSettings.php: Neuter EducationProgram T188410 (duration: 00m 58s)

Reedy closed this task as Resolved.Jul 29 2018, 2:35 AM
Reedy claimed this task.
Reedy removed a project: Patch-For-Review.